package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.EnergyInfo;
import com.nantian.cloud.jljc.vo.EnergyInfoTreeVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 能源信息 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
public interface EnergyInfoService extends IService<EnergyInfo> {

    List<EnergyInfo> getInfoByStr(String energyTypeStr);

    List<EnergyInfoTreeVo> getEnergyInfoTree();

    IPage<EnergyInfo> getPageScope(Page page, EnergyInfo energyInfo);

    //获取所有pid的能源编码信息
    List<String> getCodeByPid();

    //获取所有能源和下级能源
    List<EnergyInfo> energyListAndChild();
    List<EnergyInfo> energyCodeList();
    List<Map<String,Object>> getEnergyInfoList();
}
